E-MailRelay

Public Types | Public Member Functions | Static Public Member Functions | List of all members
GNet::EventHandler Class Reference

A base class for classes that handle asynchronous events from the event loop. More...

`#include <geventhandler.h>`

Inheritance diagram for GNet::EventHandler:

## Public Types
enum class | Reason { closed , down , reset , abort , other }

## Public Member Functions
virtual | ~EventHandler ()=default
| Destructor.
virtual void | readEvent ()
| Called for a read event. More...
virtual void | writeEvent ()
| Called for a write event. More...
virtual void | otherEvent (Reason)
| Called for a socket-exception event, or a socket-close event on windows. More...

## Static Public Member Functions
static std::string | str (Reason)
| Returns a printable description of the other-event reason. More...

## Detailed Description

A base class for classes that handle asynchronous events from the event loop.

An event handler object has its virtual methods called when an event is detected on the relevant file descriptor.

The EventHandlerList class ensures that if an exception is thrown out of an event handler it is caught and delivered to an associated ExceptionHandler interface (if any).

Definition at line 47 of file geventhandler.h.

## Member Enumeration Documentation

## ◆ Reason

enum class GNet::EventHandler::Reason
| strong

Definition at line 50 of file geventhandler.h.

## Member Function Documentation

## ◆ otherEvent()

void GNet::EventHandler::otherEvent | ( | EventHandler::Reason | reason | ) |
| virtual

Called for a socket-exception event, or a socket-close event on windows.

Overridable. The default implementation throws an exception.

Definition at line 36 of file geventhandler.cpp.

## ◆ readEvent()

void GNet::EventHandler::readEvent | ( |  | ) |
| virtual

Called for a read event.

Overridable. The default implementation does nothing.

Definition at line 26 of file geventhandler.cpp.

## ◆ str()

std::string GNet::EventHandler::str | ( | EventHandler::Reason | reason | ) |
| static

Returns a printable description of the other-event reason.

Definition at line 46 of file geventhandler.cpp.

## ◆ writeEvent()

void GNet::EventHandler::writeEvent | ( |  | ) |
| virtual

Called for a write event.

Overrideable. The default implementation does nothing.

Definition at line 31 of file geventhandler.cpp.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/geventhandler.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/geventhandler.cpp